HYDROGEN(1)

NAME
Hydrogen - an advanced drum machine and step sequencer.

SYNOPSIS

hydrogen [options] [file]

DESCRIPTION

Hydrogen is both a drum sequencer for pattern-based programming and a drum synth. Its simple yet feature-rich design makes it a versatile companion, be it for quick practice at home, professional usage as fully-fledged drum machine in your studio, or drum looper on steroids for your live performance.

Features:
- First-class MIDI support
- Highly customizable
- Stable and performant
- Loads of drumkits to choose from
- In-depth control of instrument, sample, and note properties
- High quality time-stretching and pitch shifting
- Automate it using MIDI or OSC API

OPTIONS

-d, --driver=[AUDIO_DRIVER]
    Use the selected audio driver. The description of this option in the --help output contains all audio drivers available on your system.

-s, --song=FILE
    Load a song (*.h2song) at startup. Alternatively, you can just pass the filename without this option.

-p, --playlist=FILE
    Load a playlist (*.h2playlist) at startup.

-k, --kit=DRUMKIT_NAME
    Load a drumkit at startup.

-i, --install=FILE
    Install a drumkit (*.h2drumkit).

-O, --osc-port=PORT
    Use custom OSC port.

-P, --data=PATH
    Use an alternate system data path.

--user-data=PATH
    Use an alternate user data path.

    The default one is $HOME/.hydrogen.

--config=PATH
    Use an alternate config path.

    The default one is $HOME/.hydrogen/hydrogen.conf.

--layout=AYOUT
    UI layout. Either tabbed or single (default).

-n, --nosplash
    Hide splash screen.

-V, --verbose=[LEVEL]
    Print a lot of debugging info

    Level, if present, may be None, Error, Warning, Info, or Debug.

-L, --log-file=FILE
    Use custom log file.

-T, --log-timestamps
    Add timestamps to all log messages.

--log-colors
    Use ANSI colors in log messages (default).

--no-log-colors
    Suppress ANSI colors in log messages.

-v, --version
    Show version info.

-h, --help
    Show this help message.

FILES

$HOME/.hydrogen/data/drumkits
    User-level drumkit folder. All drumkits you download via the online import as well as those you created manually will end up here. A portable version of a drumkit - the .h2drumkit tar archive file - can included into this folder using the --install option. Only those kits residing either in this folder or in the system drumkit folder (for those kits you received via your package manager) will show up in the Sound Library.

$HOME/.hydrogen/data/patterns
    If you save a pattern, it will be exported as .h2pattern XML file into this folder. Only the patterns residing in here will show up in the Sound Library.

$HOME/.hydrogen/data/playlists
    This folder may have been original designed for holding .h2playlist XML files. But it does not serve any special purpose anymore and you can put them where ever you want.

$HOME/.hydrogen/data/plugins
    In here you can put LADSPA plugins to be used by Hydrogen, which are not within LADSPA_PATH.

$HOME/.hydrogen/data/scripts
    Playlists in Hydrogen can be configured to run a BASH script before loading a particular song. This folder may have been original designed for holding those script but you can put them where ever you want.

$HOME/.hydrogen/data/songs
    If you want a .h2song XML file to show up in the Sound Library, you have to store it in here.

CONFIGURATION

$HOME/.hydrogen/hydrogen.conf
    XML file containing all configurations for Hydrogen.

$HOME/.hydrogen/data/emptySong.h2song
    Whenever you create a new song, it will be derived from this template.

$HOME/.hydrogen/data/themes/
    You can change colors, fonts, and many more in Hydrogen. These custom settings can be stored as .h2theme XML files in here by exporting the current theme in the Preferences dialog.

ENVIRONMENT

LADSPA_PATH

Path to LADSPA plugins.

BUGS & FEATURES REQUEST

If you find any bug or if you would like to propose a new feature, please report it to https://github.com/hydrogen-music/hydrogen/issues

AUTHORS

The hydrogen development team. See complete list at Hydrogen's "About" Dialog. You can contact them at <hydrogen-devel@lists.sourceforge.net>.

Subscription to the mailing list can be done here :
    http://lists.sourceforge.net/lists/listinfo/hydrogen-devel .

SEE ALSO
A CLI tool for exporting songs and batch processing drumkits
    h2cli(1)

A player Hydrogen-based songs on the command line
    h2player(1)

COPYRIGHT AND LICENSE
Copyright (C) 2002-2008 Alessandro Cominu
Copyright (C) 2008-2025 The hydrogen development team

Hydrogen is free software; you can redistribute it and/or modify it under the terms of the GPL version 2 or later.